#include <matrix.h>

using namespace nacb;

int main(int ac,char * av[]){
  Matrix A=Matrix::random(10,10);
  Matrix vec,val;
  A=A*A.transpose();
  A.eigSym(vec,val);
  A.printMatlab("A");

  (vec*vec.transpose()).printMatlab("vec.*vec'");
  vec.printMatlab("vec");
  val.printMatlab("val");

  Matrix D=A-vec*Matrix::diag(val)*vec.transpose();
  printf("RMS: %e\n",sqrt(D.dot(D)/(D.m*D.n)));
  
  return 0;
}
